## cascading.stats
Class FlowStats

    java.lang.Object
      cascading.stats.CascadingStats
          cascading.stats.FlowStats

All Implemented Interfaces:
  Serializable

    public class FlowStats

extends CascadingStats

Class FlowStats collects `Flow` specific statistics.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class cascading.stats.CascadingStats
`CascadingStats.Status`

Field Summary

Fields inherited from class cascading.stats.CascadingStats
`clientState, STATS_STORE_INTERVAL`

Constructor Summary
`FlowStats(Flow flow, ClientState clientState)`

Method Summary
`void` `addStepStats(FlowStepStats flowStepStats)`
`void` `captureDetail()` Method captureDetail will recursively capture details about nested systems.
`String` `getAppID()`
`String` `getAppName()`
`Collection` `getChildren()` Method getChildren returns any relevant child statistics instances.
`Collection<String>` `getCounterGroups()` Method getCounterGroups returns all the available counter group names.
`Collection<String>` `getCounterGroupsMatching(String regex)` Method getCounterGroupsMatching returns all the available counter group names that match the given regular expression.
`Collection<String>` `getCountersFor(String group)` Method getCountersFor returns all the counter names for the give group name.
`long` `getCounterValue(Enum counter)` Method getCounter returns the current value for the given counter Enum.
`long` `getCounterValue(String group, String counter)` Method getCounter returns the current value for the given group and counter.
`Map<Object,Object>` `getFlowProperties()`
`List<FlowStepStats>` `getFlowStepStats()` Method getStepStats returns the stepStats owned by this FlowStats.
`String` `getID()` Method getID returns the ID of this CascadingStats object.
`protected String` `getStatsString()`
`int` `getStepsCount()` Method getStepsCount returns the number of steps this Flow executed.
`void` `recordInfo()`
`String` `toString()`

Methods inherited from class cascading.stats.CascadingStats

`cleanup, getCountersFor, getCurrentDuration, getDuration, getFinishedTime, getName, getPendingTime, getRunTime, getStartTime, getStatus, getSubmitTime, getThrowable, isEngaged, isFailed, isFinished, isPending, isRunning, isSkipped, isStarted, isStopped, isSubmitted, isSuccessful, markFailed, markPending, markPendingTime, markRunning, markRunTime, markSkipped, markStarted, markStartedThenRunning, markStartTime, markStartToRunTime, markStopped, markSubmitted, markSubmitTime, markSuccessful, prepare, recordStats, setStatsStoreInterval`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FlowStats

    public FlowStats(Flow flow,
                     ClientState clientState)

Method Detail

### getFlowProperties

    public Map<Object,Object> getFlowProperties()

### getAppID

    public String getAppID()

### getAppName

    public String getAppName()

### getID

    public String getID()

  Description copied from class: `CascadingStats`
  Method getID returns the ID of this CascadingStats object.

  Specified by:
    `getID` in class `CascadingStats`
  Returns:
    the ID (type Object) of this CascadingStats object.

### recordInfo

    public void recordInfo()

  Specified by:
    `recordInfo` in class `CascadingStats`

### addStepStats

    public void addStepStats(FlowStepStats flowStepStats)

### getFlowStepStats

    public List<FlowStepStats> getFlowStepStats()

  Method getStepStats returns the stepStats owned by this FlowStats.

  Returns:
    the stepStats (type List<StepStats>) of this FlowStats object.

### getStepsCount

    public int getStepsCount()

  Method getStepsCount returns the number of steps this Flow executed.

  Returns:
    the stepsCount (type int) of this FlowStats object.

### getCounterGroups

    public Collection<String> getCounterGroups()

  Description copied from class: `CascadingStats`
  Method getCounterGroups returns all the available counter group names.

  Specified by:
    `getCounterGroups` in class `CascadingStats`
  Returns:
    the counterGroups (type Collection<String>) of this CascadingStats object.

### getCounterGroupsMatching

    public Collection<String> getCounterGroupsMatching(String regex)

  Description copied from class: `CascadingStats`
  Method getCounterGroupsMatching returns all the available counter group names that match the given regular expression.

  Specified by:
    `getCounterGroupsMatching` in class `CascadingStats`
  Parameters:
    `regex` - of type String
  Returns:
    Collection<String>

### getCountersFor

    public Collection<String> getCountersFor(String group)

  Description copied from class: `CascadingStats`
  Method getCountersFor returns all the counter names for the give group name.

  Specified by:
    `getCountersFor` in class `CascadingStats`
  Returns:
    Collection<String>

### getCounterValue

    public long getCounterValue(Enum counter)

  Description copied from class: `CascadingStats`
  Method getCounter returns the current value for the given counter Enum.

  Specified by:
    `getCounterValue` in class `CascadingStats`
  Parameters:
    `counter` - of type Enum
  Returns:
    the current counter value

### getCounterValue

    public long getCounterValue(String group,
                                String counter)

  Description copied from class: `CascadingStats`
  Method getCounter returns the current value for the given group and counter.

  Specified by:
    `getCounterValue` in class `CascadingStats`
  Parameters:
    `group` - of type String
    `counter` - of type String
  Returns:
    the current counter value

### captureDetail

    public void captureDetail()

  Description copied from class: `CascadingStats`
  Method captureDetail will recursively capture details about nested systems. Use this method to persist statistics about a given Cascade, Flow, or FlowStep.

  Each CascadingStats object must be individually inspected for any system specific details.

  Specified by:
    `captureDetail` in class `CascadingStats`

### getChildren

    public Collection getChildren()

  Description copied from class: `CascadingStats`
  Method getChildren returns any relevant child statistics instances. They may not be of type CascadingStats, but instead platform specific.

  Specified by:
    `getChildren` in class `CascadingStats`
  Returns:
    a Collection of child statistics

### getStatsString

    protected String getStatsString()

  Overrides:
    `getStatsString` in class `CascadingStats`

### toString

    public String toString()

  Overrides:
    `toString` in class `CascadingStats`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.